net.dontdrinkandroot.visualization.placement.graph

## Class FactorOverlapRemovalPlacement

- java.lang.Object
- - net.dontdrinkandroot.visualization.placement.graph.FactorOverlapRemovalPlacement

All Implemented Interfaces:
  ItemPlacement, Placement

    public class FactorOverlapRemovalPlacement
    extends Object
    implements ItemPlacement

### Constructor Summary

Constructors
Constructor and Description
`FactorOverlapRemovalPlacement()`
`FactorOverlapRemovalPlacement(double minDistance)`

### Method Summary

Methods
`void` `place(Collection<VisualItem> items)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FactorOverlapRemovalPlacement

    public FactorOverlapRemovalPlacement()

#### FactorOverlapRemovalPlacement

    public FactorOverlapRemovalPlacement(double minDistance)

### Method Detail

#### place

    public void place(Collection<VisualItem> items)
               throws PlacementException

Specified by:
  `place` in interface `ItemPlacement`
Throws:
  `PlacementException`